--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: delete_host
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Deletes host with the specified IP address or hostname <tt>hostip</tt>
- !ruby/struct:SM::Flow::P 
  body: "Note: From inside of a block given to a method like hosts() or get_ips(), calling this method on a host passed to the block may lead to adverse effects:"
- !ruby/struct:SM::Flow::P 
  body: "parser.hosts { |h| puts h.addr; parser.del_host(h) } # Don't do this!"
full_name: Nmap::Parser#del_host
is_singleton: false
name: del_host
params: (hostip)
visibility: public
